Nootka 0.8

##########################################################
#############   Requirements:
##########################################################
- Qt libraries (obviously)
- QtMultimedia
  uder Windows and MacOs it is included with Qt/Qt-SDK package
  but under Linux it is separate package:
    - rpm based (Suse, Fedora) it is in qt-devel
    - deb based (Ubuntu, Mint) it is qtmultimediakit and qtmibility-dev
- FFTW libraries (http://www.fftw.org/)
    libfftw3-dev
- libasound-dev under linux

##########################################################
###############    Building 
##########################################################
- Unpack tarball
- create some dir (f. e. "build") out of unpacked source directory
- go to build dir
- cmake ../nootka-0.8 (or ccmake or qtcmake with GUI)
  if You get error about not found libfftw or libQtMultimedia(Kit1)
  put it manually:
      -DFFTW3_LIBRARIES=/path_to/libfftw3f.la(dll)
      -DFFTW3_INCLUDE_DIRS=/path_to_dir_with/fftw3.h
      -DQTMULTIMEDIAKIT_LIBRARY=/path_to_dir_with/libqtmultimedia.la(dll)
      -DQTMULTIMEDIA_INCLUDE_DIRS=/path_to_dir_with/qaudio.h
      -DQTMOBILITY_INCLUDE_DIRS=/path_to_dir_with/qmobilityglobal.h (Ubuntu only)
- make
- make install (usually as root)

to remove (uninstall)
- make uninstall (usually as root)


##########################################################
#### How to prepare developement enviroment under MacOs ##
##########################################################
1. Install Xcode & X11 (from MacOs install DVD). XCode SDK is not required
2. Install MacPorts 
	http://www.macports.org/install.php
	and in terminal type:
    sudo port install pkgconfig cmake mercurial fftw-3-single
  alternatively You can use Fink


3. Download and install QT librares:
http://qt.nokia.com/downloads/qt-for-open-source-cpp-development-on-mac-os-x/

Now You can go to to Building section


 





